#!/bin/bash

# worldmap - Search a line which maches a pattern from the data file
# when no argument, show the content of the data file.


. ~/scripts/bin/changeable_initializeANSI
base_initializeANSI


cat << EOF
--------------------- Welcome to worldc. Let's learn about the world! Now, set about the United States of America! ---------------------------
${yellowb}${redf}*  ${reset}${blueb}**${yellowf}${reset}  ${yellowf}*      ${blueb}${whitef}*${blackf}******${blueb}${whitef}*${blackf}${reset} ${blueb}${purpleb}${yellowf}OPQRS${yellowf}${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJ${yellowf}KL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}2${reset}0
${blueb}******${reset}              ${yellowb}  ${reset} ${yellowb}                                 ${blueb}********************${yellowb}            ${blueb}******************************************************${reset}1
${blueb}***${reset}                ${yellowb}   ${reset} ${yellowb}                                                                ${blueb}**********************${yellowb}                  ${blueb}***************${reset}2
${blueb}*****${reset}             ${yellowb}    ${reset} ${yellowb}                                                               ${blueb}***********************${yellowb}                              ${blueb}*${yellowb}  ${reset}3
${blueb}**${reset}       ${yellowb} ${reset}       ${yellowb}     ${reset} ${yellowb}                                                                ${blueb}***********************${yellowb}                             ${blueb}**${yellowb} ${reset}4
${blueb}${redf}*${blackf}*${reset}${yellowb} ${reset}    ${yellowf}*      * ${yellowb}${whitef}     *${reset} ${yellowb}${whitef}     *      *      *      *      *      *      *      *      *    ${reset}${blueb}**${whitef}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}****${yellowb}${whitef}  *      *      *      *     ${reset}${blueb}*${redf}*${blackf}*${reset}5
${blueb}*******${reset}        ${yellowb}       ${reset} ${yellowb}                                                                            ${blueb}*********${yellowb}                               ${blueb}***${reset}6
${blueb}**************${reset}${yellowb}        ${reset} ${yellowb}                                                                                 ${blueb}***${yellowb}                           ${bluef}+-?${reset}${blueb}*****${reset}7
                       ${yellowb}                                                                                                              ${bluef}/${blackf}        ${reset}8
${blueb}*********************${yellowb} ${blueb}*${yellowb}                                                                                                          ${bluef}+-/${blackf}${reset}      ${yellowb}    ${reset}9
${blueb}${redf}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}${yellowb} ${blueb}*${yellowb}${whitef}    *      *      *      *      *      *      *      *      *      *      *      *      *      *      * ${bluef}/${blackf}    ${reset}${yellowf}*${reset}      ${blueb}${redf}*${blackf}*${reset}A
${blueb}***********************${reset} ${blueb}*${reset}      ${yellowb}                                                        ${reset}     ${yellowb}    ${cyanb}***${reset}${yellowb}                           ${reset}${bluef}/+${blackf}           ${blueb}***${reset}B
${blueb}***********************${reset}   ${yellowb} ${reset}                 ${yellowb}                                 ${reset}        ${redf}${resetr1}${bluef}${resetb1}-${redf}${resetr2}${bluef}${resetb2}-${redf}${resetr3}${bluef}${resetb3}+${reset}      ${cyanb}******${reset}${yellowb}                         ${reset}${bluef}/${blackf}          ${blueb}******${reset}C
${blueb}**********************${reset}                      ${bluef}+---------+${reset} ${yellowb}           ${reset} ${bluef}+---------+${reset}         ${redf}${resetr4}${bluef}${resetb5}\\${reset}${cyanb}******${reset}    ${cyanb}******${yellowb}              ${reset}${bluef}/----/${blackf}        ${blueb}*********${reset}D
${blueb}*********************${reset}                       ${bluef}|${reset}          ${bluef}\\-----------/${reset}           ${bluef}\\${reset}         ${redf}${resetr5}${bluef}${resetb4}\\${reset}       ${cyanb}***${reset}   ${cyanb}**${reset}${yellowb}      ${cyanb}*****${reset}${bluef}--/${blackf}             ${blueb}**********${reset}E
${blueb}${redf}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}*****${reset} ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}|${reset}    ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}|${reset}    ${yellowf}*${reset}     ${redf}${resetr1}${bluef}${resetb1}\\${reset}${yellowf}*${reset}     ${cyanb}*${whitef}*${reset}    ${cyanb}**${yellowb}${whitef}*${blackf}   ${cyanb}**${reset} ${yellowf}*${reset}      ${yellowf}*${reset}      ${blueb}${whitef}*${blackf}******${whitef}*${blackf}******${redf}*${blackf}*${reset}F
${blueb}*******************${reset}                                                             ${bluef}\\${reset}          ${redf}${resetr2}${bluef}${resetb2}+${redf}${resetr3}${bluef}${resetb3}-${redf}${resetr4}${bluef}${resetb4}+${reset}   ${cyanb}***${reset}     ${cyanb}*****${reset}${bluef}/${reset}                ${blueb}***************${reset}G
${blueb}******************${reset}                                                               ${bluef}\\${reset}            ${redf}${resetr5}${bluef}${resetb5}\\${reset}   ${cyanb}*${reset}          ${bluef}/${reset}                ${blueb}****************${reset}H
${blueb}*****************${reset}                                                                 ${bluef}\\${reset}            ${redf}${resetr1}${bluef}${resetb1}\\${reset}            ${bluef}/${reset}                 ${blueb}****************${reset}I
${blueb}****************${reset}                                                                   ${bluef}\\${reset}            ${redf}${resetr2}${bluef}${resetb2}\\${reset}          ${bluef}/${reset}                  ${blueb}****************${reset}J
${blueb}${redf}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}*${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}     ${redf}${resetr3}${bluef}${resetb3}|${reset}${yellowf}*${reset}      ${yellowf}*${reset}${bluef}/${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${blueb}${whitef}*${blackf}******${whitef}*${blackf}******${redf}*${blackf}*${reset}K
${blueb}*****************${reset}                ${cyanb}**${reset}                                                  ${bluef}\\${reset}          ${redf}${resetr4}${bluef}${resetb4}/${reset}     ${bluef}+--+${reset}                ${blueb}**${reset}  ${blueb}****************${reset}L
${blueb}****************${reset}                                                                      ${bluef}\\---+    ${redf}${reset5}${bluef}${resetb5}/${reset}     ${bluef}/${reset}                     ${blueb}*******************${reset}M
${blueb}****************${reset}                                                                           ${bluef}\\   ${redf}${resetr1}${bluef}${resetb1}\\${reset}    ${bluef}/${reset}                       ${blueb}******************${reset}N
${blueb}*****************${reset}                     ${bluef}+----${reset}    ${yellowb} ${reset}    ${yellowb} ${reset}   ${bluef}-------------------+${reset}                ${bluef}+--?${redf}${resetr2}${bluef}${resetb2}+  ${bluef}?${reset}              ${yellowb} ${reset}           ${blueb}****************${reset}O
${blueb}${redf}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}**${reset}  ${yellowb} ${reset} ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}/    ${reset}${yellowf}*${reset}      ${yellowf}*${reset}${yellowb} ${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}     ${bluef}\\${reset}${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}     ${redf}${resetr3}${bluef}${resetb3}\\${reset}${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}     ${blueb}*${whitef}*${blackf}******${whitef}*${blackf}******${redf}*${blackf}*${reset}P
${blueb}******************${reset}        ${cyanb}*${reset}   ${cyanb}*${reset}    ${bluef}-/${reset}              ${bluef}--+${reset}                       ${bluef}\\--------------+    ${redf}${resetr4}${bluef}${resetb4}/${reset}                         ${blueb}*******************${reset}Q
${blueb}******************${reset}              ${bluef}--/${reset}                 ${bluef}/${reset}                                        ${bluef}\\ ${redf}${resetr5}${bluef}${resetb5}+${redf}${resetr1}${bluef}${resetb1}/${reset}                        ${blueb}*********************${reset}R
         ${blueb}**********${reset}             ${bluef}|${reset}                  ${bluef}|${reset}                                         ${bluef}?${redf}${resetr2}${bluef}${resetb2}/${reset}                        ${blueb}***********************${reset}S
${blueb}********${reset} ${blueb}*************${reset}          ${bluef}|${reset}                  ${bluef}|${reset}                                         ${redf}${resetr3}${bluef}${resetb3}/${reset}                       ${blueb}*************************${reset}T
${blueb}${redf}*${blackf}${reset}  ${blueb}****${whitef}*${blackf}${reset} ${blueb}*****${whitef}*${blackf}******${whitef}*${blackf}*${reset}${yellowb}     ${whitef}*   ${bluef}? ${reset} ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}|${reset}    ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}${redf}${resetr4}${bluef}${resetb4}/${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}  ${blueb}****${whitef}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}******${redf}*${blackf}*${reset}U
${blueb}********${reset} ${blueb}****************${yellowb}     ${blueb}***${yellowb}             ${reset}     ${bluef}|${reset}    ${bluef}+-+${reset}                                ${redf}${resetr5}${bluef}${resetb5}/${reset}                     ${blueb}*****************************${reset}V
${blueb}********${reset} ${blueb}*******************${yellowb}    ${blueb}***${yellowb}                 ${reset}${bluef}\\--/${reset}${yellowb}   ${reset}${bluef}\\-+${reset}                            ${redf}${resetr1}${bluef}${resetb1}?${reset}${blueb}****************${reset}     ${blueb}******************************${reset}W
${blueb}********${reset} ${blueb}*********************${yellowb}    ${blueb}***${yellowb}                         ${reset}${bluef}\\----+${reset}    ${blueb}************************************${reset}     ${blueb}*****************************${reset}X
${blueb}********${reset} ${blueb}***********************${yellowb}    ${blueb}***${yellowb}                             ${reset}${bluef}\\---?${reset}${blueb}*************************************${reset}    ${reset}${blueb}****************************${reset}Y
${purpleb}${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${yellowf}${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJ${yellowf}KL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9A${yellowb}    ${purpleb}${yellowf}${whitef}F${yellowf}G${yellowb}   ${purpleb}${yellowf}KL${whitef}M${yellowf}N${reset}  ${purpleb}${yellowf}QRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}2${reset}Z
EOF
