#!/bin/bash

usamap_mr_flows()
{
cat << EOF
------------------------------- Welcome to Master of States. Let's learn about the United States of America! ---------------------------------
${yellowb}${whitef}*  ${reset}${blueb}****${whitef}*${blackf}***${reset}   ${whitef}*     ${blueb}${blackf}*${whitef}*${blackf}******${reset}${yellowf}*${purpleb}${yellowf}${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJ${yellowf}KL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}2${reset}0
${blueb}*****${reset}  ${blueb}**${reset}                  ${yellowb} ${reset} ${yellowb}                                                       ${blueb}******************${yellowb}                     ${blueb}*******************${reset}1
${blueb}******${reset}                    ${yellowb}  ${reset} ${yellowb}                                                      ${blueb}*******************${yellowb}                             ${blueb}***********${reset}2
${blueb}***${reset}  ${blueb}***${reset}                 ${yellowb}   ${reset} ${yellowb}                                                      ${blueb}*********************${yellowb}                                    ${blueb}**${reset}3
${blueb}**${reset}                      ${yellowb}    ${reset} ${yellowb}                                                       ${blueb}**********************${yellowb}                                 ${blueb}**${yellowb} ${reset}4
${blueb}${redf}*${blackf}**${reset}    ${yellowf}*      *      * ${yellowb}     ${reset}${yellowf}*${yellowb}${whitef}      *      *      *      *      *      *      *      *   ${reset}${blueb}***${whitef}*${blackf}******${whitef}*${blackf}******${redf}*${blackf}${yellowb}${whitef}      *      *      *      *    ${reset}${blueb}**${redf}*${yellowb} ${reset}5
${blueb}**********${reset}            ${yellowb}      ${reset} ${yellowb}                                                                  ${blueb}********${yellowb}                              ${blueb}*********${reset}6
${blueb}******************${reset}   ${reset}${yellowb}       ${reset} ${yellowb}                                                                        ${blueb}***${yellowb}                           ${blueb}***${yellowb}${bluef}+-?${blueb}*****${reset}7
                             ${blueb}${yellowb}                                                                                                      ${blueb}*${yellowb} ${bluef}/${blackf}       ${blueb}*${reset}8
${blueb}*********************${yellowb} ${blueb}*${yellowb}                                                                                                          ${bluef}+-/${blackf}${reset}      ${yellowb}    ${reset}9
${blueb}${redf}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}${yellowb} ${blueb}*${yellowb}${whitef}    *      *      *      *      *      *      *      *      *      *      *      *      *      *      * ${bluef}/${blackf}    ${reset}${yellowf}*${reset}      ${blueb}${redf}*${blackf}${yellowb} ${reset}A
${blueb}***********************${reset} ${blueb}*${reset}      ${yellowb}                                                        ${reset}     ${yellowb}    ${cyanb}***${reset}${yellowb}                           ${reset}${bluef}/+${blackf}           ${blueb}***${reset}B
${blueb}***********************${reset}   ${yellowb} ${reset}                 ${yellowb}                                 ${reset}        ${bluef}${resetb1}${redf1}-${bluef}${resetb2}${redf2}-${bluef}${resetb3}${redf3}+${reset}      ${cyanb}******${reset}${yellowb}                         ${reset}${bluef}/${blackf}          ${blueb}******${reset}C
${blueb}**********************${reset}                      ${bluef}+---------+${reset} ${yellowb}           ${reset} ${bluef}+---------+${reset}         ${bluef}${resetb4}${redf4}\\${reset}${cyanb}******${reset}    ${cyanb}******${yellowb}              ${reset}${bluef}/----/${blackf}        ${blueb}*********${reset}D
${blueb}*********************${reset}                       ${bluef}|${reset}          ${bluef}\\-----------/${reset}           ${bluef}\\${reset}         ${bluef}${resetb5}${redf5}\\${reset}       ${cyanb}***${reset}   ${cyanb}**${reset}${yellowb}      ${cyanb}*****${reset}${bluef}--/${blackf}             ${blueb}**********${reset}E
${blueb}${redf}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}*****${reset} ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}|${reset}    ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}|${reset}    ${yellowf}*${reset}     ${bluef}${resetb1}${redf1}\\${reset}${yellowf}*${reset}     ${cyanb}*${whitef}*${reset}    ${cyanb}**${yellowb}${whitef}*${blackf}   ${cyanb}**${reset} ${yellowf}*${reset}      ${yellowf}*${reset}      ${blueb}${whitef}*${blackf}******${whitef}*${blackf}******${redf}*${blackf}*${reset}F
${blueb}*******************${reset}                                                             ${bluef}\\${reset}          ${bluef}${resetb2}${redf2}+${bluef}${resetb3}${redf3}-${bluef}${resetb4}${redf4}+${reset}   ${cyanb}***${reset}     ${cyanb}*****${reset}${bluef}/${reset}                ${blueb}***************${reset}G
${blueb}******************${reset}                                                               ${bluef}\\${reset}            ${bluef}${resetb5}${redf5}\\${reset}   ${cyanb}*${reset}          ${bluef}/${reset}                ${blueb}****************${reset}H
${blueb}*****************${reset}                                                                 ${bluef}\\${reset}            ${bluef}${resetb1}${redf1}\\${reset}            ${bluef}/${reset}                 ${blueb}****************${reset}I
${blueb}****************${reset}                                                                   ${bluef}\\${reset}            ${bluef}${resetb2}${redf2}\\${reset}          ${bluef}/${reset}                  ${blueb}****************${reset}J
${blueb}${redf}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}*${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}     ${bluef}${resetb3}${redf3}|${reset}${yellowf}*${reset}      ${yellowf}*${reset}${bluef}/${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${blueb}${whitef}*${blackf}******${whitef}*${blackf}******${redf}*${blackf}*${reset}K
${blueb}*****************${reset}                ${cyanb}**${reset}                                                  ${bluef}\\${reset}          ${bluef}${resetb4}${redf4}/${reset}     ${bluef}+--+${reset}                ${blueb}**${reset}  ${blueb}****************${reset}L
${blueb}****************${reset}                                                                      ${bluef}\\---+    ${bluef}${resetb5}${redf5}/${reset}     ${bluef}/${reset}                     ${blueb}*******************${reset}M
${blueb}****************${reset}                                                                           ${bluef}\\   ${bluef}${resetb1}${redf1}\\${reset}    ${bluef}/${reset}                       ${blueb}******************${reset}N
${blueb}*****************${reset}                     ${bluef}+----${reset}    ${yellowb} ${reset}    ${yellowb} ${reset}   ${bluef}-------------------+${reset}                ${bluef}+--?${bluef}${resetb2}${redf2}+  ${bluef}?${reset}              ${yellowb} ${reset}           ${blueb}****************${reset}O
${blueb}${redf}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}**${reset}  ${yellowb} ${reset} ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}/    ${reset}${yellowf}*${reset}      ${yellowf}*${reset}${yellowb} ${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}     ${bluef}\\${reset}${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}     ${bluef}${resetb3}${redf3}\\${reset}${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}     ${blueb}*${whitef}*${blackf}******${whitef}*${blackf}******${redf}*${blackf}*${reset}P
${blueb}******************${reset}        ${cyanb}*${reset}   ${cyanb}*${reset}    ${bluef}-/${reset}              ${bluef}--+${reset}                       ${bluef}\\--------------+    ${bluef}${resetb4}${redf4}/${reset}                         ${blueb}*******************${reset}Q
${blueb}******************${reset}              ${bluef}--/${reset}                 ${bluef}/${reset}                                        ${bluef}\\ ${bluef}${resetb5}${redf5}+${bluef}${resetb1}${redf1}/${reset}                        ${blueb}*********************${reset}R
         ${blueb}**********${reset}             ${bluef}|${reset}                  ${bluef}|${reset}                                         ${bluef}?${bluef}${resetb2}${redf2}/${reset}                        ${blueb}***********************${reset}S
${blueb}********${reset} ${blueb}*************${reset}          ${bluef}|${reset}                  ${bluef}|${reset}                                         ${bluef}${resetb3}${redf3}/${reset}                       ${blueb}*************************${reset}T
${blueb}${redf}*${blackf}${reset}  ${blueb}****${whitef}*${blackf}${reset} ${blueb}*****${whitef}*${blackf}******${whitef}*${blackf}*${reset}${yellowb}     ${whitef}*   ${bluef}? ${reset} ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}|${reset}    ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}${bluef}${resetb4}${redf4}/${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}  ${blueb}****${whitef}*${blackf}******${whitef}*${blackf}******${whitef}*${blackf}******${redf}*${blackf}*${reset}U
${blueb}********${reset} ${blueb}****************${yellowb}     ${blueb}***${yellowb}             ${reset}     ${bluef}|${reset}    ${bluef}+-+${reset}                                ${bluef}${resetb5}${redf5}/${reset}                     ${blueb}*****************************${reset}V
${blueb}********${reset} ${blueb}*******************${yellowb}    ${blueb}***${yellowb}                 ${reset}${bluef}\\--/${reset}${yellowb}   ${reset}${bluef}\\-+${reset}                            ${bluef}${resetb1}${redf1}?${reset}${blueb}****************${reset}     ${blueb}******************************${reset}W
${blueb}********${reset} ${blueb}*********************${yellowb}    ${blueb}***${yellowb}                         ${reset}${bluef}\\----+${reset}    ${blueb}************************************${reset}     ${blueb}*****************************${reset}X
${blueb}********${reset} ${blueb}***********************${yellowb}    ${blueb}***${yellowb}                             ${reset}${bluef}\\---?${reset}${blueb}*************************************${reset}    ${reset}${blueb}****************************${reset}Y
${purpleb}${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${yellowf}${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJ${yellowf}KL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9A${yellowb}    ${purpleb}${yellowf}${whitef}F${yellowf}G${yellowb}   ${purpleb}${yellowf}KL${whitef}M${yellowf}N${reset}  ${purpleb}${yellowf}QRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}2${reset}Z
EOF
}
